StarPU Internal Handbook

Functions | Variables
bound.h File Reference
`#include <starpu.h>`
`#include <starpu_bound.h>`
`#include <core/jobs.h>`

Go to the source code of this file.

## Functions
void | _starpu_bound_record (struct _starpu_job *j)
void | _starpu_bound_tag_dep (starpu_tag_t id, starpu_tag_t dep_id)
void | _starpu_bound_task_dep (struct _starpu_job *j, struct _starpu_job *dep_j)
void | _starpu_bound_job_id_dep (starpu_data_handle_t handle, struct _starpu_job *dep_j, unsigned long job_id)
void | starpu_bound_clear (void)

## Variables
int | _starpu_bound_recording

## Function Documentation

## ◆ _starpu_bound_record()

void _starpu_bound_record | ( | struct _starpu_job * | j | ) |

Record task for bound computation

## ◆ _starpu_bound_tag_dep()

void _starpu_bound_tag_dep | ( | starpu_tag_t | id,
|  | starpu_tag_t | dep_id
| ) |  |

Record tag dependency: id depends on dep_id

## ◆ _starpu_bound_task_dep()

void _starpu_bound_task_dep | ( | struct _starpu_job * | j,
|  | struct _starpu_job * | dep_j
| ) |  |

Record task dependency: j depends on dep_j

## ◆ _starpu_bound_job_id_dep()

void _starpu_bound_job_id_dep | ( | starpu_data_handle_t | handle,
|  | struct _starpu_job * | dep_j,
|  | unsigned long | job_id
| ) |  |

Record job id dependency: j depends on job_id

## ◆ starpu_bound_clear()

void starpu_bound_clear | ( | void |  | ) |

Clear recording

## Variable Documentation

## ◆ _starpu_bound_recording

int _starpu_bound_recording
| extern

Are we recording?